#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'skauditor.beranda'}</a></li>
    <li class="active">&{'skauditor.daftarsurat'}</li>
</ol>

#{menuDaftarAuditor /}
<div class="content">
#{alert /}
    <table class="table table-sm" id="tblAuditorSK">
        <thead>
        <tr>
            <th width="5"></th>
            <th>Nomor</th>
            <th width="300px">&{'skauditor.masa'}</th>
            <th class="hrlast" width="200px">Detail</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{form @AuditorCtr.hapusSk(),method:'POST'}
    #{addButton action:@AuditorCtr.editSk(id) /}
    #{newDeleteButton /}
#{/form}
</div>


#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">  
var skEdit = #{jsRoute @AuditorCtr.editSk(':id') /};
var viewSk = #{jsRoute @AuditorCtr.viewsk(':id') /};
var table = $("#tblAuditorSK").DataTable({
          columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var id = row[0];
				    var no = row[1];
                    row[1] = "<a href='"+skEdit.url({id:id})+"'>"+no+"</a>";
				    row[2] = row[2] + " - " + row[3];
				    row[3] = "<a href='"+viewSk.url({id:id})+"'>klik di sini untuk detailnya</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.skAuditor()}"
    });
    $('#tblAuditorSK_filter input').unbind();
    $('#tblAuditorSK_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkAuditorSK').val(res[0]));
             }
         });
     });
</script>
#{/set}
